Package com.sun.jna.platform.win32

# Interface WinNT.SYSTEM_POWER_STATE

Enclosing interface:
  WinNT

public static interface WinNT.SYSTEM_POWER_STATE
Defines values that are used to specify system power states.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `PowerSystemHibernate`
  `static final int`
  `PowerSystemMaximum`
  `static final int`
  `PowerSystemShutdown`
  `static final int`
  `PowerSystemSleeping1`
  `static final int`
  `PowerSystemSleeping2`
  `static final int`
  `PowerSystemSleeping3`
  `static final int`
  `PowerSystemUnspecified`
  `static final int`
  `PowerSystemWorking`

- ## Field Details

  - ### PowerSystemUnspecified

    static final int PowerSystemUnspecified
    See Also:
      - Constant Field Values

  - ### PowerSystemWorking

    static final int PowerSystemWorking
    See Also:
      - Constant Field Values

  - ### PowerSystemSleeping1

    static final int PowerSystemSleeping1
    See Also:
      - Constant Field Values

  - ### PowerSystemSleeping2

    static final int PowerSystemSleeping2
    See Also:
      - Constant Field Values

  - ### PowerSystemSleeping3

    static final int PowerSystemSleeping3
    See Also:
      - Constant Field Values

  - ### PowerSystemHibernate

    static final int PowerSystemHibernate
    See Also:
      - Constant Field Values

  - ### PowerSystemShutdown

    static final int PowerSystemShutdown
    See Also:
      - Constant Field Values

  - ### PowerSystemMaximum

    static final int PowerSystemMaximum
    See Also:
      - Constant Field Values